{% extends "header.html" %}
{% block body %}
<div class="album py-5 bg-light">
    <div class="container">
        <h2 class="my-3">Products</h2>

        {% if products != None %}

            <div class="row">

            {% for product in products %}
                <div class="col-md-4">
                    <div class="card mb-4 shadow-sm">
                        <img src="../{{ product[4] }}" class="card-img-top s" alt="{{ product[0] }}_img">
                    <div class="card-body">
                        <h4>{{ product[1] }}</h4>
                        <p class="card-text">{{ product[3] }}</p>
                        <small>ID: #{{ product[0] }}</small>
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="btn-group">
                            <button type="button" class="btn btn btn-outline-info">View</button>
                                {% if 'logged-in' in session %}
                                    <button type="button" class="btn btn btn-outline-success">
                                        <span class="glyphicon glyphicon-shopping-cart" aria-hidden="true">BUY</span>
                                    </button>
                                {% endif %}
                            </div>
                            <div class="aler alert-primary p-2 rounded" role="alert">{{ product[2] }} €</div>
                        </div>
                    </div>
                </div>
            </div>
            {% endfor %}
            </div>
        {% else %}
            <h3>None of products</h3>
        {% endif %}

    </div>
</div>

{% endblock %}
